Subject: [Fot] K. Cup 2013

From: marty sukey <[email-masked]>
Date: Sun, 31 Mar 2013 09:56:26 -0400 FILETIME=[895DE280:01CE2E17]

As of this morning we surpassed last years Mitty entrants. There are currently
53 folks who have expressed their intentions of competing at the 2013 Kastner
Cup at Road America and there is still 4 months to go. If you are planning on
attending and have not done so yet, get me your name car number and model so I
can include it on the shirt back. no commitment required, we can add or remove
names just before I place the order. It just makes planning a bit easier.

Thanks,
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive